version="v0.72"
comment="OPENDBL_"$type"_block"

function convert {
     while read ip; do
        if ! [[ "$ip" =~ [^0-9.-] ]];
        then
            echo "add -a d -l r -t $timeout -c $comment quota service any source range:$ip pkt-rate 0"
        fi
     done
     echo "add -t 2 quota flush true"
}

function update {
        curl_cli -s --cacert $CPDIR/conf/opendbl.crt --user-agent "$version" --retry 10 --retry-delay 60 $url | dos2unix | convert | fw samp batch
}
